> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/starknet/starknet_specversion.md).

# starknet\_specVersion

Returns the version of the Starknet JSON-RPC specification being used

#### **Parameters:**

None

#### **Returns:**

**String** - The current Starknet JSON-RPC specification

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl  https://starknet.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"starknet_specVersion","params":[],"id":1}'

// Result
{
    "id": 1,
    "jsonrpc": "2.0",
    "result": "0.5.1"
}
```

{% endcode %}
